import { SqrlConfig } from './config';
export declare const promiseImpl: any;
declare let asyncFunc: FunctionConstructor | false;
export { asyncFunc };
export declare function hasOwnProp(obj: object, prop: string): any;
export declare function copyProps<T>(toObj: T, fromObj: T, notConfig?: boolean): T;
declare function trimWS(str: string, env: SqrlConfig, wsLeft: string | false, wsRight?: string | false): string;
export { trimWS };
